search: Search a project analyses and attached events

API: sonarcloud.io:sonarqube
Endpoint: /api/project_analyses/search
Response format: application/json
Auth: unknown
Method: GET
Last Status: 404
Latency: 142ms

Description

Search a project analyses and attached events. Requires the following permission: 'Browse' on the specified project

Parameters (7)

branch (string, query, optional)

Key of a long lived branch

category (string, query, optional)

Event category. Filter analyses that have at least one event of the category specified.

Constraints: {'enum': ['VERSION', 'OTHER', 'QUALITY_PROFILE', 'QUALITY_GATE', 'DEFINITION_CHANGE']}

from (string, query, optional)

Filter analyses created after the given date (inclusive). Either a date (server timezone) or datetime can be provided

p (string, query, optional, default: 1)

1-based page number

project (string, query, required)

Project key

ps (string, query, optional, default: 100)

Page size. Must be greater than 0 and less or equal than 500

to (string, query, optional)

Filter analyses created before the given date (inclusive). Either a date (server timezone) or datetime can be provided

Examples (1)

Search a project analyses and attached events openapi-spec
curl 'https://sonarcloud.io/api/project_analyses/search?branch=feature%2Fmy_branch&category=OTHER&from=2013-05-01&p=42&project=my_project&ps=20&to=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/project_analyses/search",
    params={
        'branch': 'feature/my_branch',
        'category': 'OTHER',
        'from': '2013-05-01',
        'p': '42',
        'project': 'my_project',
        'ps': '20',
        'to': '2017-10-19 or 2017-10-19T13:00:00+0200',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/project_analyses/search", branch="feature/my_branch", category="OTHER", from="2013-05-01", p=42, project="my_project", ps=20, to="2017-10-19 or 2017-10-19T13:00:00+0200")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/project_analyses/search?branch=feature%2Fmy_branch&category=OTHER&from=2013-05-01&p=42&project=my_project&ps=20&to=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:29:41.805581 404 142ms
2026-04-15 00:35:51.994785 404 182ms
2026-04-14 00:57:00.309041 404 152ms
2026-04-12 15:08:49.068255 404 128ms
2026-04-10 00:26:33.601571 404 104ms
2026-04-09 00:29:24.582011 404 197ms